Description

When viewing an http://orcid.org account on the profile page, there is an error looking up the account details.

https://search.test.dataone.org/#profile/http://sandbox.orcid.org/0000-0003-2650-9537

| can call the cn-sandbox-2 endpoint successfully (directly):

https://cn-sandbox-2.test.dataone.org/cn/v2/accounts/http%3A%2F%2Fsandbox.orcid.org%$2F0000-0003-26
50-9537

But going though the search.test.dataone.org proxy results in the error.

https://search.test.dataone.org/cn/v2/accounts/http%$3A%2F%2Fsandbox.orcid.org%2F0000-0003-2650-953
7

History

#1 - 11/30/2015 05:32 PM - ben leinfelder
- Description updated

- Assignee set to Lauren Walker

#2 - 11/30/2015 06:01 PM - ben leinfelder

- Status changed from New to In Progress

| was able to retrieve the account information from the search.test -> cn-sandbox-2 proxy by adding the "nocanon" option to the ProxyPass directive.

But now the profile page is not correctly parsing the subject. | see "Username: http:/" and "http:/ hasn't uploaded anything yet." in the profile UL.

#3 - 12/08/2015 03:07 PM - Lauren Walker

- Status changed from In Progress to Resolved

This was caused by the app router cutting off the 'username' parameter after the first forward slash. | changed the router so that the profile paths will
look like baseurl.com/#profile/lusername(/s=section/s=subsection)
